package com.goafanti.order.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class OutOrderLegalAffairsListBo {
    @Excel(name = "订单编号")
    private String orderNo;
    @Excel(name = "合同编号")
    private String contractNo;
    @Excel(name = "客户名称")
    private String buyerName;
    @Excel(name = "订单负责人")
    private String salesmanName;
    @Excel(name = "订单部门")
    private String depName;
    @Excel(name = "签单金额（万元）")
    private BigDecimal totalAmount;
    @Excel(name = "已收款（万元）")
    private BigDecimal settlementAmount;
    @Excel(name = "应收款（万元）")
    private BigDecimal orderReceivables;
    @Excel(name = "欠款（万元）")
    private BigDecimal orderArrears;

    private Date dunStartTime;
    @Excel(name = "催收启动日期")
    private String dunStartTimes;

    private Integer legalAffairs;
    private Integer daysRemaining;
    private Date operationTime;
    private String operationDate;

    private Integer type;
    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public String getOperationDate() {
        return operationDate;
    }

    public void setOperationDate(String operationDate) {
        this.operationDate = operationDate;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getLegalAffairs() {
        return legalAffairs;
    }

    public void setLegalAffairs(Integer legalAffairs) {
        this.legalAffairs = legalAffairs;
    }

    public Integer getDaysRemaining() {
        return daysRemaining;
    }

    public void setDaysRemaining(Integer daysRemaining) {
        this.daysRemaining = daysRemaining;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public BigDecimal getOrderReceivables() {
        return orderReceivables;
    }

    public void setOrderReceivables(BigDecimal orderReceivables) {
        this.orderReceivables = orderReceivables;
    }

    public BigDecimal getOrderArrears() {
        return orderArrears;
    }

    public void setOrderArrears(BigDecimal orderArrears) {
        this.orderArrears = orderArrears;
    }

    public Date getDunStartTime() {
        return dunStartTime;
    }

    public void setDunStartTime(Date dunStartTime) {
        this.dunStartTime = dunStartTime;
    }

    public String getDunStartTimes() {
        return dunStartTimes;
    }

    public void setDunStartTimes(String dunStartTimes) {
        this.dunStartTimes = dunStartTimes;
    }
}
